org.jgrapht.experimental

## Class RandomGraphHelper

- java.lang.Object
- - org.jgrapht.experimental.RandomGraphHelper

-     public final class RandomGraphHelper
      extends Object

  UniformRandomGraphGenerator generates a uniform random graph of any size. A uniform random graph contains edges chosen independently uniformly at random from the set of all possible edges.
  Since:
    Sep 13, 2004
  Author:
    Michael Behrisch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addEdges(Graph target, List sourceVertices, List destVertices, int numEdges)`
    `static Object[]` | `addVertices(Graph target, VertexFactory vertexFactory, int numVertices)` .

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addEdges

          public static void addEdges(Graph target,
                      List sourceVertices,
                      List destVertices,
                      int numEdges)

      See Also:
        `GraphGenerator.generateGraph(org.jgrapht.Graph<V, E>, org.jgrapht.VertexFactory<V>, java.util.Map<java.lang.String, T>)`

    - #### addVertices

          public static Object[] addVertices(Graph target,
                             VertexFactory vertexFactory,
                             int numVertices)

      .
      Parameters:
        `target` -
        `vertexFactory` -
        `numVertices` -
      Returns:
        vertices

Copyright © 2016. All rights reserved.